REGINA-ENGINE-CONFIG(1)

NAME
regina-engine-config - Get compiler and linker flags to build software against Regina

SYNOPSIS

regina-engine-config [ --prefix ] [ --version ] [ --cflags ] [ --libs ]

DESCRIPTION

This utility tells you which compiler and linker flags should be used to build the mathematical engine of Regina into your own programs. Regina's mathematical engine is typically installed in the library libregina-engine.so.

This utility is only available in some settings:

•   If you are using GNU/Linux and you have Regina installed in a system location (e.g., beneath /usr/ or /usr/local/), then regina-engine-config should be included with your installation, and it should output compiler/linker flags relative to this system installation.

•   If you are building Regina yourself from the source tree (on any platform), then you can run regina-engine-config from the source tree, and it should output compiler/linker flags relative to the same source tree. In particular, you do not need to install Regina for these compiler/linker flags to work.

•   If you are using pre-built packages for Regina on macOS or Windows, then regina-engine-config will not be included in your installation.

Instead of using regina-engine-config as part of the compilation process, you may find it easier to create a Makefile using regina-helper and then just use make instead.

OPTIONS

--prefix
    Prints the installation prefix where Regina has been installed.

--version
    Prints the currently installed version of Regina. This will include any BUILD_INFO string that was set when Regina was built.

--cflags
    Print the compiler flags that are required to compile a program that uses the Regina calculation engine.

--libs
    Print the linker flags that are required to link a program against the Regina calculation engine.

EXAMPLE

    example$ regina-engine-config --cflags
    -std=c++20
    -I/usr/include/regina-normal -I/usr/include -I/usr/include/libxml2
    example$

SEE ALSO

regina-helper.

AUTHOR

This utility was written by Benjamin Burton <bab@maths.uq.edu.au>. Many people have been involved in the development of Regina; see the users' handbook for a full list of credits.

This script was long ago based on gtk-config, though very little of that remains nowadays. The original gtk-config was Copyright (C) 1998 Owen Taylor and used an MIT-style license; see the regina-engine-config script for full details.